Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 1401923005: Loosen checking on the bytes following 'stream' (Closed)

Created:
5 years, 1 month ago by jun_fang
Modified:
5 years, 1 month ago
Reviewers:
Tom Sepez, Lei Zhang
CC:
pdfium-reviews_googlegroups.com, kai_jing, steven_wu
Base URL:
https://pdfium.googlesource.com/pdfium.git@master
Target Ref:
refs/heads/master
Visibility:
Public.

Description

Loosen checking on the bytes following 'stream' PDF specs say that end of line markers shall follow the keyword "stream". But a white space before end of line markers follows this keyword in the test pdf files. BUG=543018 R=thestig@chromium.org, tsepez@chromium.org Committed: https://pdfium.googlesource.com/pdfium/+/b5cbfb4cd12b6499912367f9a1e11c666157acb8

Patch Set 1 #

Total comments: 2

Patch Set 2 : #

Total comments: 4

Patch Set 3 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+9 lines, -9 lines) Patch
M core/src/fpdfapi/fpdf_parser/fpdf_parser_parser.cpp View 1 chunk +2 lines, -3 lines 0 comments Download
A + testing/resources/pixel/bug_543018_1.in View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
A + testing/resources/pixel/bug_543018_1_expected.pdf.0.png View Binary file 0 comments Download
A + testing/resources/pixel/bug_543018_1_expected_mac.pdf.0.png View 1 2 Binary file 0 comments Download
A + testing/resources/pixel/bug_543018_2.in View 1 2 1 chunk +5 lines, -4 lines 0 comments Download
A + testing/resources/pixel/bug_543018_2_expected.pdf.0.png View Binary file 0 comments Download
A + testing/resources/pixel/bug_543018_2_expected_mac.pdf.0.png View 1 2 Binary file 0 comments Download

Messages

Total messages: 14 (1 generated)
jun_fang
On 2015/10/15 08:47:06, jun_fang wrote: > mailto:jun_fang@foxitsoftware.com changed reviewers: > + mailto:thestig@chromium.org, mailto:tsepez@chromium.org Hi Tom ...
5 years, 1 month ago (2015-10-15 08:49:54 UTC) #2
Lei Zhang
lgtm https://codereview.chromium.org/1401923005/diff/1/testing/resources/pixel/bug_543018_2.in File testing/resources/pixel/bug_543018_2.in (right): https://codereview.chromium.org/1401923005/diff/1/testing/resources/pixel/bug_543018_2.in#newcode40 testing/resources/pixel/bug_543018_2.in:40: % The content in stream should be renderred ...
5 years, 1 month ago (2015-10-15 09:54:01 UTC) #3
jun_fang
On 2015/10/15 09:54:01, Lei Zhang wrote: > lgtm > > https://codereview.chromium.org/1401923005/diff/1/testing/resources/pixel/bug_543018_2.in > File testing/resources/pixel/bug_543018_2.in (right): ...
5 years, 1 month ago (2015-10-15 10:25:23 UTC) #4
jun_fang
https://codereview.chromium.org/1401923005/diff/1/testing/resources/pixel/bug_543018_2.in File testing/resources/pixel/bug_543018_2.in (right): https://codereview.chromium.org/1401923005/diff/1/testing/resources/pixel/bug_543018_2.in#newcode40 testing/resources/pixel/bug_543018_2.in:40: % The content in stream should be renderred as ...
5 years, 1 month ago (2015-10-15 10:27:27 UTC) #5
jun_fang
On 2015/10/15 10:27:27, jun_fang wrote: > https://codereview.chromium.org/1401923005/diff/1/testing/resources/pixel/bug_543018_2.in > File testing/resources/pixel/bug_543018_2.in (right): > > https://codereview.chromium.org/1401923005/diff/1/testing/resources/pixel/bug_543018_2.in#newcode40 > ...
5 years, 1 month ago (2015-10-15 10:39:16 UTC) #6
Tom Sepez
LGTM after tidying comments. Thanks for the good tests! https://codereview.chromium.org/1401923005/diff/20001/testing/resources/pixel/bug_543018_1.in File testing/resources/pixel/bug_543018_1.in (right): https://codereview.chromium.org/1401923005/diff/20001/testing/resources/pixel/bug_543018_1.in#newcode38 testing/resources/pixel/bug_543018_1.in:38: ...
5 years, 1 month ago (2015-10-15 16:11:13 UTC) #7
Lei Zhang
On 2015/10/15 10:25:23, jun_fang wrote: > On 2015/10/15 09:54:01, Lei Zhang wrote: > > lgtm ...
5 years, 1 month ago (2015-10-15 18:05:07 UTC) #8
Lei Zhang
On 2015/10/15 10:39:16, jun_fang wrote: > Below was abstracted from PDF spec: > > All ...
5 years, 1 month ago (2015-10-15 18:09:02 UTC) #9
Lei Zhang
On 2015/10/15 18:05:07, Lei Zhang wrote: > On 2015/10/15 10:25:23, jun_fang wrote: > > On ...
5 years, 1 month ago (2015-10-15 21:22:21 UTC) #10
jun_fang
On 2015/10/15 21:22:21, Lei Zhang wrote: > On 2015/10/15 18:05:07, Lei Zhang wrote: > > ...
5 years, 1 month ago (2015-10-15 23:19:42 UTC) #11
jun_fang
https://codereview.chromium.org/1401923005/diff/20001/testing/resources/pixel/bug_543018_1.in File testing/resources/pixel/bug_543018_1.in (right): https://codereview.chromium.org/1401923005/diff/20001/testing/resources/pixel/bug_543018_1.in#newcode38 testing/resources/pixel/bug_543018_1.in:38: % A white space rather than end of line ...
5 years, 1 month ago (2015-10-16 02:41:45 UTC) #12
Lei Zhang
Let's land this and see how it goes.
5 years, 1 month ago (2015-10-16 02:44:02 UTC) #13
jun_fang
5 years, 1 month ago (2015-10-16 02:45:30 UTC) #14
Message was sent while issue was closed.
Committed patchset #3 (id:40001) manually as
b5cbfb4cd12b6499912367f9a1e11c666157acb8 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698